Create a supplier
curl --request POST \
--url https://api.contazen.ro/v1/suppliers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cui": "<string>",
"rc": "<string>",
"cnp": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "RO",
"postal_code": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"iban": "<string>",
"bank": "<string>",
"contact_person": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"is_vat_payer": true
}
'import requests
url = "https://api.contazen.ro/v1/suppliers"
payload = {
"name": "<string>",
"cui": "<string>",
"rc": "<string>",
"cnp": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "RO",
"postal_code": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"iban": "<string>",
"bank": "<string>",
"contact_person": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"is_vat_payer": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
cui: '<string>',
rc: '<string>',
cnp: '<string>',
address: '<string>',
city: '<string>',
county: '<string>',
country: 'RO',
postal_code: '<string>',
phone: '<string>',
email: 'jsmith@example.com',
iban: '<string>',
bank: '<string>',
contact_person: '<string>',
contact_phone: '<string>',
contact_email: 'jsmith@example.com',
is_vat_payer: true
})
};
fetch('https://api.contazen.ro/v1/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "sup_1a2b3c4d5e",
"name": "<string>",
"cui": "<string>",
"rc": "<string>",
"cnp": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"email": "<string>",
"iban": "<string>",
"bank": "<string>",
"contact_person": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"is_vat_payer": true,
"statistics": {
"expense_count": 123,
"total_amount": 123,
"paid_amount": 123,
"unpaid_amount": 123
},
"recent_expenses": [
{
"id": "<string>",
"reference": "<string>",
"amount": 123,
"currency": "<string>",
"date": "2023-12-25",
"is_paid": true
}
],
"metadata": {
"expense_count": 123,
"total_expenses": 123,
"unpaid_total": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}Suppliers
Create Supplier
Create a new supplier
POST
/
suppliers
Create a supplier
Authorizations
Use your API key (sk_live_xxx or sk_test_xxx)
Body
application/json
Required string length:
1 - 255Tax identification number
Company registration number
Personal identification number
Was this page helpful?
⌘I